package com.adealink.weparty.module.room.viewmodel

import androidx.lifecycle.LiveData
import com.adealink.frame.room.data.LeaveRoomReason
import com.adealink.frame.room.data.RoomFlowData
import com.adealink.frame.room.data.RoomState

interface IRoomFlowViewModel {

    val roomStateLD: LiveData<RoomFlowData>

    /**
     * 尝试退出当前房间，不关注结果
     */
    fun tryLeaveRoom(reason: LeaveRoomReason)

    fun getJoiningRoomId(): String?

    fun getJoinedRoomId(): String?

    fun getJoinRoomState(): RoomState

}